Package ghidra.program.model.data

# Class AddressSpaceSettingsDefinition

java.lang.Object
ghidra.program.model.data.AddressSpaceSettingsDefinition

All Implemented Interfaces:
  `SettingsDefinition`, `StringSettingsDefinition`, `TypeDefSettingsDefinition`

public class AddressSpaceSettingsDefinition extends Object implements StringSettingsDefinition, TypeDefSettingsDefinition

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final AddressSpaceSettingsDefinition`
  `DEF`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `addPreferredValues(Object settingsOwner, Set<String> set)`
  Add preferred setting values to the specified set as obtained from the specified settingsOwner.
  `void`
  `clear(Settings settings)`
  Removes any values in the given settings object assocated with this settings definition
  `void`
  `copySetting(Settings srcSettings, Settings destSettings)`
  Copies any setting value associated with this settings definition from the srcSettings settings to the destSettings.
  `String`
  `getAttributeSpecification(Settings settings)`
  Get the `TypeDef` attribute specification for this setting and its current value.
  `String`
  `getDescription()`
  Returns a description of this settings definition
  `String`
  `getName()`
  Returns the display name of this SettingsDefinition
  `String`
  `getStorageKey()`
  Get the `Settings` key which is used when storing a key/value entry.
  `String[]`
  `getSuggestedValues(Settings settings)`
  Get suggested setting values
  `String`
  `getValue(Settings settings)`
  Gets the value for this SettingsDefinition given a Settings object.
  `boolean`
  `hasValue(Settings settings)`
  Determine if a setting value has been stored
  `void`
  `setValue(Settings settings, String value)`
  Sets the given value into the given settings object using this settingsDefinition as the key.
  `boolean`
  `supportsSuggestedValues()`
  Determine if this settings definition supports suggested values.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface ghidra.docking.settings.StringSettingsDefinition

  `getValueString, hasSameValue`

- ## Field Details

  - ### DEF

    public static final AddressSpaceSettingsDefinition DEF

- ## Method Details

  - ### getValue

    public String getValue(Settings settings)
    Description copied from interface: `StringSettingsDefinition`
    Gets the value for this SettingsDefinition given a Settings object.
    Specified by:
      `getValue` in interface `StringSettingsDefinition`
    Parameters:
      `settings` - the set of Settings values for a particular location or null for default value.
    Returns:
      the value for this settings object given the context.

  - ### setValue

    public void setValue(Settings settings, String value)
    Description copied from interface: `StringSettingsDefinition`
    Sets the given value into the given settings object using this settingsDefinition as the key.
    Specified by:
      `setValue` in interface `StringSettingsDefinition`
    Parameters:
      `settings` - the settings object to store the value in.
      `value` - the value to store in the settings object using this settingsDefinition as the key.

  - ### hasValue

    public boolean hasValue(Settings settings)
    Description copied from interface: `SettingsDefinition`
    Determine if a setting value has been stored
    Specified by:
      `hasValue` in interface `SettingsDefinition`
    Parameters:
      `settings` - stored settings
    Returns:
      true if a value has been stored, else false

  - ### getName

    public String getName()
    Description copied from interface: `SettingsDefinition`
    Returns the display name of this SettingsDefinition
    Specified by:
      `getName` in interface `SettingsDefinition`
    Returns:
      display name for setting

  - ### getStorageKey

    public String getStorageKey()
    Description copied from interface: `SettingsDefinition`
    Get the `Settings` key which is used when storing a key/value entry.
    Specified by:
      `getStorageKey` in interface `SettingsDefinition`
    Returns:
      settings storage key

  - ### getDescription

    public String getDescription()
    Description copied from interface: `SettingsDefinition`
    Returns a description of this settings definition
    Specified by:
      `getDescription` in interface `SettingsDefinition`
    Returns:
      setting description

  - ### clear

    public void clear(Settings settings)
    Description copied from interface: `SettingsDefinition`
    Removes any values in the given settings object assocated with this settings definition
    Specified by:
      `clear` in interface `SettingsDefinition`
    Parameters:
      `settings` - the settings object to be cleared.

  - ### copySetting

    public void copySetting(Settings srcSettings, Settings destSettings)
    Description copied from interface: `SettingsDefinition`
    Copies any setting value associated with this settings definition from the srcSettings settings to the destSettings.
    Specified by:
      `copySetting` in interface `SettingsDefinition`
    Parameters:
      `srcSettings` - the settings to be copied
      `destSettings` - the settings to be updated.

  - ### getAttributeSpecification

    public String getAttributeSpecification(Settings settings)
    Description copied from interface: `TypeDefSettingsDefinition`
    Get the `TypeDef` attribute specification for this setting and its current value.
    Specified by:
      `getAttributeSpecification` in interface `TypeDefSettingsDefinition`
    Parameters:
      `settings` - typedef settings
    Returns:
      attribute specification or null if not currently set.

  - ### getSuggestedValues

    public String[] getSuggestedValues(Settings settings)
    Description copied from interface: `StringSettingsDefinition`
    Get suggested setting values
    Specified by:
      `getSuggestedValues` in interface `StringSettingsDefinition`
    Parameters:
      `settings` - settings object
    Returns:
      suggested settings or null if none or unsupported;

  - ### supportsSuggestedValues

    public boolean supportsSuggestedValues()
    Description copied from interface: `StringSettingsDefinition`
    Determine if this settings definition supports suggested values. See `StringSettingsDefinition.getSuggestedValues(Settings)`.
    Specified by:
      `supportsSuggestedValues` in interface `StringSettingsDefinition`
    Returns:
      true if suggested values are supported, else false.

  - ### addPreferredValues

    public boolean addPreferredValues(Object settingsOwner, Set<String> set)
    Description copied from interface: `StringSettingsDefinition`
    Add preferred setting values to the specified set as obtained from the specified settingsOwner.
    Specified by:
      `addPreferredValues` in interface `StringSettingsDefinition`
    Parameters:
      `settingsOwner` - settings owner from which a definition may query preferred values. Supported values are specific to this settings definition. An unsupported settingsOwner will return false.
      `set` - value set to which values should be added
    Returns:
      true if settingsOwner is supported and set updated, else false.